Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452017 - Last value queue
Summary: Last value queue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
urgent
medium
Target Milestone: 1.1
: ---
Assignee: Carl Trieloff
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks: 471307
TreeView+ depends on / blocked
 
Reported: 2008-06-18 17:32 UTC by Gordon Sim
Modified: 2009-02-04 15:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-04 15:35:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0035 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 1.1 Release 2009-02-04 15:33:44 UTC

Description Gordon Sim 2008-06-18 17:32:16 UTC
Based on some message property, new messages 'overwrite' any previous message
with the same value for that property.

Comment 1 Sergei Vorobiev 2008-06-19 14:38:26 UTC
LVQ has the same basic features as a regular queue (such as acquire modes,
transactional delivery, ability to cluster, transient vs durable etc) and some
special features, described below. Elements in the queue can be represented as
one-dimensional array, where for a given identifier /routing key?/ there is only
one message. When a new message with the same identifier arrives, it replaces a
previous message with the same identifier. Sequence of the messages in the queue
does not matter. If it was possible to retrieve a specific message from this
logical queue, based on its identifier without retrieving other queue messages,
it would be even better.

Comment 2 Carl Trieloff 2008-10-08 19:36:44 UTC
details to use: 
http://cwiki.apache.org/qpid/cheat-sheet-for-configuring-queue-options.html

Comment 4 Carl Trieloff 2008-11-13 20:34:16 UTC
code to test this can be found:

http://cwiki.apache.org/qpid/lvq-example.html

Comment 5 Frantisek Reznicek 2008-12-12 14:04:01 UTC
Manually validated on RHEL 5.2 / 4.7, i386 / x86_64 on packages
qpidd-0.4.725652-2.el5 using comment #4 example code.

->VERIFIED

Comment 7 errata-xmlrpc 2009-02-04 15:35:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html


Note You need to log in before you can comment on or make changes to this bug.